rio_add_device
Prev | Enumeration and Discovery | Next

## Name

rio_add_device — Adds a RIO device to the device model

## Synopsis

`void rio_add_device (` | struct rio_dev * | rdev`)`;

## Arguments

`rdev`

  RIO device

## Description

Adds the RIO device to the global device list and adds the RIO device to the RIO device list. Creates the generic sysfs nodes for an RIO device.

Prev | Up | Next
rio_route_set_ops | Home | rio_setup_device